rtems-4.9 toolchain repos set up

Ralf Corsepius ralf.corsepius at rtems.org
Mon Oct 1 21:08:21 CDT 2007


Hi,

FYI: I set up binutils/gcc/gdb toolchain rpm (metadata/yum) repos for
rtems-4.9.

URL: ftp://ftp.rtems.org/pub/rtems/linux/4.9/

* These toolchains are installable in parallel to previous toolchains. 

* To start using them with yum (rsp. apt-repomd), you need to manually
install the rtems-4.9-yum-conf package (rsp. apt-repomd: install
rtems-4.9-apt-conf).

* ATM, these toolchains' sources are identical to those of the rtems-4.8
toolchains. The only differences to the rtems-4.8 toolchains are
- using --prefix=/opt/rtems-4.9
- using --target=<arch>-rtems4.9
- the rpms' release tags having been reset to 1.

As having been done with the rtems-4.8 toolchains during the
pre-rtems-4.8-branch phase, I plan to pretty aggressively upgrade these
toolchains and will try to follow upstream whenever possible. 
I.e. these toolchains can be expected to gradually diverge from the
rtems-4.8 toolchains over time.

* Currently supported host OSes are:
- Fedora 7 i386 + x86_64
- Fedora 6 i386 + x86_64
- CentOS4/RHEL i386 + x86_64
- CentOS5/RHEL i386 + x86_64
- SuSE10.2 i386

Note: RHL 7.3 and Fedora <= 6 have been abandoned!


Regards,

	Ralf





More information about the rtems-users mailing list